<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- cafe_and_restaurant-001 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<center>
  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/page_bjimage.gif"> 
    <tr>
      <td style="background-image: url(images/page_left.gif);background-repeat: repeat-y;background-position: right top;"><img src="images/space.gif" width="80" height="10"/></td>
      <td valign="top" width="100%" height="100%"><table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FCF8DB">
        <tr>
          <td width="100%" height="100%"><table width="100%" height="100%" border="0" cellspacing="9" cellpadding="0">
              <tr>
                <td width="100%" height="138"><table height="138" width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="384" background="images/headers_bg.jpg"><img src="images/headers.jpg" width="384" height="138"/></td>
                      <td background="images/headers_bg.jpg"><div align="right">
                          <table width="300" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                            </tr>
                            <tr>
                              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                            </tr>
                            <tr>
                              <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                            </tr>
                          </table>
                      </div></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td background="images/menu_bj.gif"><table  border="0" align="center" cellpadding="0" cellspacing="0" height="27">
                    <tr>
<xsl:call-template name="TOP-MENU"/>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td width="100%" height="100%"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/main_bjimage.gif" class="botyline">
                          <tr>
                            <td width="180" valign="top" style="background-image: url(images/left_buttom_caffce.gif);
	background-repeat: no-repeat;
	background-position: left bottom;">
							<table width="100%" border="0" cellpadding="0" cellspacing="0" background="images/submenu_bj.gif">
                                <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                            </table>
							<img src="images/space.gif" width="180" height="10"/></td>
                            <td align="left" valign="top" width="100%" height="100%"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                  <td rowspan="3" background="images/left_bjimage.gif" width="1" ><img src="images/left_bjimage.gif" width="1" height="1"/></td>
                                  <td height="25" background="images/title_bjimage.gif" class="icon"><table cellpadding="0" cellspacing="0" border="0">
                                      <tr>
                                        <td><img src="images/text_icon.gif" width="23" height="23"/></td>
                                        <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                      </tr>
                                  </table></td>
                                </tr>
                                <tr>
                                  <td width="100%" height="100%" valign="top" class="pageContent"><img src="images/space.gif" width="100" height="12"/>
                              <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" valign="top" >
<tr>
<td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch" >
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table></td>
                                </tr>
                              </table></td>
                          </tr>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td height="25" background="images/title_bjimage.gif" class="copyright">
				<img src="images/space.gif" width="754" height="1"/><br/>
				<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
              </tr>
          </table></td>
        </tr>
      </table></td>
      <td style="background-image: url(images/page_right.gif);background-repeat: repeat-y;background-position:left top;">
	  <img src="images/space.gif" width="80" height="10"/></td>
    </tr>
  </table>
</center>
</body>
<!--end-->
</html>
</xsl:template>
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		 <xsl:when test="@ID=/LAYOUT/@ID">
		 <tr>
              <td class="smenu"><span class="smenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
              <td class="iconleft"><img src="images/left_icon.gif" width="6" height="6"/></td>
        </tr>
        <tr background="images/left_line.gif">
              <td height="1" colspan="2" background="images/left_line.gif"></td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		  <tr>
              <td class="smenu"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              <td class="iconleft"><img src="images/left_icon.gif" width="6" height="6"/></td>
          </tr>
          <tr background="images/left_line.gif">
              <td height="1" colspan="2" background="images/left_line.gif"></td>
          </tr>   
		  </xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
     	
</xsl:stylesheet>
