<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- cafe_and_restaurant-005 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR><TD height="61"></TD></TR>
	<TR><TD height="1" bgcolor="#CACACA"></TD></TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td><img src="images/lbg.gif" border="0" alt="" width="41"/></td>
					<td bgcolor="#CACACA"><div style="width:1px; height:0px;"><span></span></div></td>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" style="width: 146px; height: 100%;">
							<tr>
								<td height="146" class="color-bg" style="background-image: url('images/logo_bg.jpg');">
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0" align="center">
										<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
										<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
										<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
									<!-- END LOGO -->
								</td>
							</tr>
							<tr><td height="1" bgcolor="#CACACA"></td></tr>
							<tr>
								<td height="100%" style="padding: 1px;">
									<table cellpadding="0" cellspacing="0" border="0" bgcolor="#E1DBD3" style="width: 100%; height: 100%;">
										<tr>
											<td valign="top" style="padding: 25px 0;">
												<!-- MENU -->
												<table cellpadding="0" cellspacing="0" width="102" align="center">
													<xsl:call-template name="TOP-MENU"/>
												</table>
												<!-- END MENU -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td bgcolor="#CACACA"><div style="width:1px; height:0px;"><span></span></div></td>
					<td width="100%">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
							<tr>
								<td style="padding: 1px;">
									<table cellpadding="0" cellspacing="0" border="0" bgcolor="#FFFFFF" style="width: 100%; height: 100%; background-image: url('images/header_bg.gif');">
										<tr><td><img src="images/header.jpg" border="0" alt=""/></td></tr>
									</table>
								</td>
							</tr>
							<tr><td bgcolor="#CACACA" height="1"></td></tr>
							<tr>
								<td height="100%" style="padding: 1px;">
									<table cellpadding="0" cellspacing="0" border="0" bgcolor="#FFFFFF" style="width: 100%; height: 100%;">
										<tr>
											<td valign="top" class="pageContent" style="padding: 30px;">
												<!-- CONTENT -->
												<table cellpadding="0" cellspacing="0" border="0">
													<tr>
														<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
														<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
													</tr>
												</table>
												<div style="width:0px; height:15px;"><span></span></div>
												<xsl:apply-templates select="PAGE-CONTENT"/>
												<!-- END CONTENT -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td bgcolor="#CACACA"><div style="width:1px; height:0px;"><span></span></div></td>
					<td style="padding: 1px;">
						<table cellpadding="0" cellspacing="0" border="0" bgcolor="#D1D7D9" style="width: 144px; height: 100%;">
							<tr>
								<td valign="top" style="padding: 25px 0;">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="110" align="center">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>
									<!-- END SUBMENU -->
								</td>
							</tr>
						</table>
					</td>
					<td bgcolor="#CACACA"><div style="width:1px; height:0px;"><span></span></div></td>
					<td><img src="images/rbg.gif" border="0" alt="" width="40"/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="1" bgcolor="#CACACA"></TD></TR>
	<TR>
		<TD height="44">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/bmenu_l.gif" border="0" alt="" width="41"/></td>
					<td bgcolor="#CACACA"><div style="width:1px; height:0px;"><span></span></div></td>
					<td width="100%" style="padding: 1px;">
						<table cellpadding="0" cellspacing="0" border="0" class="color-bg" style="width: 100%; height: 100%; background-image: url('images/bmenu_bg.gif');">
							<tr>
								<td>
									<!-- BOTTOM MENU -->
									<table cellpadding="0" cellspacing="0" align="center">
										<tr>
											<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
											<xsl:call-template name="BOTTOM-MENU"/>
											<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
										</tr>
									</table>
									<!-- END BOOTTOM MENU -->
								</td>
							</tr>
						</table>
					</td>
					<td bgcolor="#CACACA"><div style="width:1px; height:0px;"><span></span></div></td>
					<td><img src="images/bmenu_l.gif" border="0" alt="" width="40"/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="1" bgcolor="#CACACA"></TD></TR>
	<TR>
		<TD height="70" align="center" class="footer">
		<!-- FOOTER -->
		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="asubmenu" style="width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding-left: 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-left: 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-color: #A7ACAE; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
