<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xeug-13 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
	<TR>
		<TD height="258" valign="top" style="background-image: url('images/header_bg.jpg'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" height="258" width="100%" style="background-image: url('images/header_image.gif'); background-position: bottom left; background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/header1.jpg'); background-position: bottom right; background-repeat: no-repeat; padding-right: 170px;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="258">
							<tr>
								<td height="75">
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td width="30"></td>
											<xsl:call-template name="TOP-MENU"/>
											<td width="30"></td>											
										</tr>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
							<tr>
								<td height="183" style="padding-right: 205px; padding-left: 10px;">
								<!-- LOGO -->
								<table cellpadding="0" cellspacing="0" align="center">
									<tr>
										<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
										<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
									</tr>
									<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
								</table>
								<!-- END LOGO -->	
								</td>
							</tr>
						</table>				
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" valign="top" background="images/bg.gif" class="main-bg">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td valign="top" style="background-image: url('images/submenu_bbg.gif'); background-position: bottom; background-repeat: no-repeat;">
						<div style="width:292px; height:60px;"><spacer type="block" width="292" height="60"/></div>
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="170" align="center">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
							<tr><td colspan="2" height="20"></td></tr>
						</table>	
						<!-- END SUBMENU -->
					</td>
					<td width="100%" valign="top" class="pageContent" style="background-image: url('images/header2.jpg'); background-position: top right; background-repeat: no-repeat; padding: 60px 70px 20px 0px;">
					<!-- CONTENT -->
					 <table cellpadding="0" cellspacing="0" border="0" width="100%">
					 <tr>
					 	<td >
					 		<table height="50" border="0" cellpadding="0" cellspacing="0">
				              <tr>
				               
				                <td class="text-header">
				               <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				                </td>
				                <td style="padding-left:10px;"><img src="images/textheader_button.jpg" width="22" height="22"/></td>
				              </tr>
				            </table>

						</td>

					</tr>
					<tr>
						<td class="pageContent" name="SB_stretch" >
							<xsl:apply-templates select="PAGE-CONTENT"/>
						</td>
					</tr>
					</table>
					<!-- END CONTENT -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="118" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="118" style="background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat;">
				<tr>
					<td align="right" class="footer" style="padding: 5px 20px 5px 300px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>	
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td bgcolor="#A3CE2C" style="padding-left: 7px" height="29" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td bgcolor="#A3CE2C" align="right" style="padding-right: 7px"><img src="images/submenu_bullet.gif" border="0"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 7px" height="29"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-right: 7px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>	
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td height="2"></td></tr>
		<tr><td colspan="2" height="1" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
		<tr><td height="2"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td class="bottommenuitemactive"><a href="{@HREF}" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td class="bottommenuitem"><a href="{@HREF}" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  			<td class="bottommenudivider"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
