<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xeug-15 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		<style>
			img { behavior:url('images/pngbehavior.htc'); }
		</style>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class="bg">
	<TR>
		<TD height="360" valign="top" style="background-image: url('images/header_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="360" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
				<tr>
					<td width="100%">
						<table cellpadding="0" cellspacing="0" border="0" height="360" width="100%">
							<tr>
								<td height="85" style="padding-left: 123px;">
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0" align="right">
										<tr>
											<td width="50"></td>
											<xsl:call-template name="TOP-MENU"/>
										</tr>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
							<tr>
								<td height="275" valign="top" style="padding: 45px 0 5px 50px;">
								<!-- LOGO -->
									<table cellpadding="0" cellspacing="0" width="160">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
								<!-- END LOGO -->
								</td>
							</tr>
						</table>
					</td>
					<td><img src="images/raspberry.png" width="252" height="360" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" valign="top" name="SB_stretch">
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td><div style="width:40px; height:1px;"><spacer type="block" width="40" height="1"/></div></td>
					<td width="230" valign="top">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="230">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>	
						<!-- END SUBMENU -->						
					</td>
					<td><div style="width:50px; height:1px;"><spacer type="block" width="50" height="1"/></div></td>
					<td width="100%" valign="top" class="pageContent">
					<!-- CONTENT -->					
						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
					<!-- END CONTENT -->
					</td>
					<td><div style="width:90px; height:1px;"><spacer type="block" width="90" height="1"/></div></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="160" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="160" style="background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat;">
				<tr>
					<td valign="bottom" style="padding: 0 0 30px 148px;">
						<div style="width: 150px;" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
							
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr><td colspan="2" height="1"></td></tr>
			<tr>
				<td bgcolor="White" style="padding-left: 17px" height="35" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td bgcolor="White" align="right" style="padding-right: 7px"><img src="images/submenu_bullet.gif" border="0"/></td>
			</tr>
			<tr><td colspan="2" height="1"></td></tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 17px" height="35"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-right: 7px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" class="submenu-hr"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
